# ----- General -------------------------------------------------------------
DEBUG=off

# ----- Usage ---------------------------------------------------------------
usage:
	type <<

zmake dos16      (16 bit DOS with Pharlap)
zmake dos16b     (16 bit DOS with Blinker)
zmake dos32      (32 bit DOS)
zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll)
zmake vxworks    (vxWorks)
<<


# ----- Clean ---------------------------------------------------------------
clean:
	z_clean


# ----- Platforms -----------------------------------------------------------
dos16: event116.exe event216.exe event316.exe

dos16b: event11b.exe event21b.exe event31b.exe

dos32: event132.exe event232.exe event332.exe

win16: wevt116.exe wevt216.exe wevt316.exe

win32: wevt132.exe wevt232.exe wevt332.exe

win32dll: wevent1.exe wevent2.exe wevent3.exe

vxworks: vevent1.o vevent2.o vevent3.o

# ----- Targets ---------------------------------------------------------------

!if "$(ZINC_COMPILER)" == "borland"
D16_DEFINITION_FILE=b16.def
!endif

#
# Build Options for event116.exe
#
TARGET=event116.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=$(D16_DEFINITION_FILE)
SOURCE_FILES=event1.cpp eventwn1.cpp
!include <zaf.mak>

#
# Build Options for event216.exe
#
TARGET=event216.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=$(D16_DEFINITION_FILE)
SOURCE_FILES=event2.cpp eventwn2.cpp
!include <zaf.mak>

#
# Build Options for event316.exe
#
TARGET=event316.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=$(D16_DEFINITION_FILE)
SOURCE_FILES=event3.cpp eventwn3.cpp
!include <zaf.mak>

#
# Build Options for event11b.exe
#
TARGET=event11b.exe
TARGET_TYPE=EXE
PLATFORM=DOS16B
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=$(D16_DEFINITION_FILE)
SOURCE_FILES=event1.cpp eventwn1.cpp
!include <zaf.mak>

#
# Build Options for event21b.exe
#
TARGET=event21b.exe
TARGET_TYPE=EXE
PLATFORM=DOS16B
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=$(D16_DEFINITION_FILE)
SOURCE_FILES=event2.cpp eventwn2.cpp
!include <zaf.mak>

#
# Build Options for event31b.exe
#
TARGET=event31b.exe
TARGET_TYPE=EXE
PLATFORM=DOS16B
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=$(D16_DEFINITION_FILE)
SOURCE_FILES=event3.cpp eventwn3.cpp
!include <zaf.mak>

#
# Build Options for event132.exe
#
TARGET=event132.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
ADD_LIBRARIES=zafd32p.lib
DEFINITION_FILE=
SOURCE_FILES=event1.cpp eventwn1.cpp
!include <zaf.mak>

#
# Build Options for event232.exe
#
TARGET=event232.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
ADD_LIBRARIES=zafd32p.lib
DEFINITION_FILE=
SOURCE_FILES=event2.cpp eventwn2.cpp
!include <zaf.mak>

#
# Build Options for event332.exe
#
TARGET=event332.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
ADD_LIBRARIES=zafd32p.lib
DEFINITION_FILE=
SOURCE_FILES=event3.cpp eventwn3.cpp
!include <zaf.mak>

#
# Build Options for wevt116.exe
#
TARGET=wevt116.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=wtest16.def
SOURCE_FILES=event1.cpp eventwn1.cpp
!include <zaf.mak>

#
# Build Options for wevt216.exe
#
TARGET=wevt216.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=wtest16.def
SOURCE_FILES=event2.cpp eventwn2.cpp
!include <zaf.mak>

#
# Build Options for wevt316.exe
#
TARGET=wevt316.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=wtest16.def
SOURCE_FILES=event3.cpp eventwn3.cpp
!include <zaf.mak>

#
# Build Options for wevt132.exe
#
TARGET=wevt132.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=
SOURCE_FILES=event1.cpp eventwn1.cpp
!include <zaf.mak>

#
# Build Options for wevt232.exe
#
TARGET=wevt232.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=
SOURCE_FILES=event2.cpp eventwn2.cpp
!include <zaf.mak>

#
# Build Options for wevt332.exe
#
TARGET=wevt332.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=
SOURCE_FILES=event3.cpp eventwn3.cpp
!include <zaf.mak>

#
# Build Options for wevent1.exe
#
TARGET=wevent1.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
ADD_LIBRARIES=
DEFINITION_FILE=
SOURCE_FILES=event1.cpp eventwn1.cpp
!include <zaf.mak>

#
# Build Options for wevent2.exe
#
TARGET=wevent2.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
ADD_LIBRARIES=
DEFINITION_FILE=
SOURCE_FILES=event2.cpp eventwn2.cpp
!include <zaf.mak>

#
# Build Options for wevent3.exe
#
TARGET=wevent3.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
ADD_LIBRARIES=
DEFINITION_FILE=
SOURCE_FILES=event3.cpp eventwn3.cpp
!include <zaf.mak>

# ----- VxWorks -------------------------------------------------------------

ADD_COMPILE_OPTS=-DZAF_VXW_APP_NAME=vevent

#
# Build Options for vevent1.o
#
TARGET=vevent1.o
TARGET_TYPE=exe
PLATFORM=vxworks
ADD_LIBRARIES=
DEFINITION_FILE=
SOURCE_FILES=event1.cpp eventwn1.cpp v_app.cpp
!include <zaf.mak>

#
# Build Options for vevent2.o
#
TARGET=vevent2.o
TARGET_TYPE=exe
PLATFORM=vxworks
ADD_LIBRARIES=
DEFINITION_FILE=
SOURCE_FILES=event2.cpp eventwn2.cpp v_app.cpp
!include <zaf.mak>

#
# Build Options for vevent3.o
#
TARGET=vevent3.o
TARGET_TYPE=exe
PLATFORM=vxworks
ADD_LIBRARIES=
DEFINITION_FILE=
SOURCE_FILES=event3.cpp eventwn3.cpp v_app.cpp
!include <zaf.mak>
